Subject: RE: bug#11138: 23.3; on Windows, message-box does not display line breaks in the message

From: "Drew Adams" <[email-masked]>
Date: Sat, 31 Mar 2012 12:19:03 -0700

> > > > wouldn't it be possible to just use multiple menu lines...
> > > 
> > > Not if we reuse the normal menu-creation code...
> > 
> > It certainly would be possible (trivial) in Lisp: just 
> > split the string at each \n and create a separate
> > (non-selectable) menu item for each.
> 
> But the same code is used for a real menu, where we don't want to
> create two separate menu items for a line with embedded newline.

Sorry, I don't follow you - don't know what you mean.

What I'm saying is that (in Lisp, at least) it would be possible to create a
menu here that had one non-selectable menu item (line) for each line of the
multiline input (as split by \n), plus a selectable final line for the `OK'
action.

Not sure what you intend by a "real" menu, but it is certainly possible (in Lisp
at least) to create a menu with N non-selectable menu items followed by one
selectable item.  Such a menu is as real as any other I've come across.